summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorCorey Powell2015-06-08 13:10:29 -0500
committerCorey Powell2015-06-08 13:10:29 -0500
commit428daf98c755e9d20b62baaa7f4cd86b529c91f4 (patch)
tree391aa4a127ad447433e397fd0b94579f9f994b81 /PKGBUILD
downloadaur-428daf98c755e9d20b62baaa7f4cd86b529c91f4.tar.gz
Ported to AUR4
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD45
1 files changed, 45 insertions, 0 deletions
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..b6a8920c717
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,45 @@
+# Maintainer: Corey Powell <mistdragon100@gmail.com>
+# Previous Maintainer: Scott Olson <scott@scott-olson.org>
+pkgname=rock
+pkgver=0.9.9
+pkgrel=3
+pkgdesc="An ooc compiler written in ooc"
+arch=('i686' 'x86_64')
+license=('BSD')
+url="http://ooc-lang.org/"
+source=("https://github.com/fasterthanlime/rock/archive/v${pkgver}.tar.gz"
+ "http://downloads.ooc-lang.org/rock/${pkgver}/latest-bootstrap.tar.bz2")
+makedepends=('gcc')
+depends=('sh')
+optdepends=('gcc: can be used as backend C compiler'
+ 'clang: can be used as backend C compiler'
+ 'tcc: can be used as backend C compiler')
+md5sums=('55adb0a0753f2cfea9ba6670e5270563'
+ '5de9146a5f9df52ae395863299438017')
+
+build() {
+ local pkg_srcdir="${srcdir}/rock-${pkgver}"
+ mv build "${pkg_srcdir}"
+ cd "${pkg_srcdir}"
+
+ make bootstrap || return 1
+}
+
+package() {
+ local pkg_optdir="${pkgdir}/opt/${pkgname}"
+ cd "${srcdir}/rock-${pkgver}"
+
+ install -d "${pkg_optdir}"
+ cp -rt "${pkg_optdir}" .libs sdk \
+ pcre.use rock.use sdk-dynlib.use sdk-net.use sdk.use
+ rm -rf "${pkg_optdir}/libs/sources"
+
+ install -D bin/rock "${pkg_optdir}/bin/rock"
+ install -d "${pkgdir}/usr/bin"
+ echo '#!/bin/sh' > "${pkgdir}/usr/bin/rock"
+ echo 'ROCK_DIST=/opt/rock /opt/rock/bin/rock "$@"' >> "${pkgdir}/usr/bin/rock"
+ chmod +x "${pkgdir}/usr/bin/rock"
+
+ install -D docs/rock.1 "${pkgdir}/usr/share/man/man1/rock.1"
+ install -D LICENSE "${pkgdir}/usr/share/licenses/rock/LICENSE"
+}